DiseaseCultivatorHealer = {}

function DiseaseCultivatorHealer.prerequisitesPresent(specs)
    return SpecializationUtil.hasSpecialization(Cultivator, specs)
end

function DiseaseCultivatorHealer.initSpecialization() end

function DiseaseCultivatorHealer.registerEventListeners(vehicleType)
    SpecializationUtil.registerEventListener(vehicleType, "onEndWorkAreaProcessing", DiseaseCultivatorHealer)
end

function DiseaseCultivatorHealer:onEndWorkAreaProcessing(dt)
    local spec = self.spec_cultivator
    local worked = spec ~= nil and spec.isWorking == true
    DiseaseCareUtil.handleCareAction(self, "cultivator", spec, worked)
end
